Package com.xebialabs.xlrelease.domain.events

# Class UserTokensDeletedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.UserTokensDeletedEvent

All Implemented Interfaces:
  `UserTokenEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class UserTokensDeletedEvent extends Object implements UserTokenEvent, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserTokensDeletedEvent(String tokenUser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UserTokensDeletedEvent`
  `apply(String tokenUser)`
  `boolean`
  `canEqual(Object x$1)`
  `UserTokensDeletedEvent`
  `copy(String tokenUser)`
  `String`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `tokenUser()`
  `String`
  `toString()`
  `static scala.Option<String>`
  `unapply(UserTokensDeletedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### UserTokensDeletedEvent

    public UserTokensDeletedEvent(String tokenUser)

- ## Method Details

  - ### apply

    public static UserTokensDeletedEvent apply(String tokenUser)

  - ### unapply

    public static scala.Option<String> unapply(UserTokensDeletedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### tokenUser

    public String tokenUser()

  - ### copy

    public UserTokensDeletedEvent copy(String tokenUser)

  - ### copy$default$1

    public String copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`